'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Table = require('./renderers/Table.component');

var _Table2 = _interopRequireDefault(_Table);

var _List = require('./renderers/List.component');

var _List2 = _interopRequireDefault(_List);

var _Large = require('./rowRenderers/Large.component');

var _Large2 = _interopRequireDefault(_Large);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var TABLE = 'TABLE';
var LARGE = 'LARGE';

function RendererSelector(_ref) {
	var children = _ref.children,
	    collection = _ref.collection,
	    height = _ref.height,
	    type = _ref.type,
	    width = _ref.width;

	switch (type) {
		case LARGE:
			return _react2.default.createElement(
				_List2.default,
				{
					collection: collection,
					height: height,
					width: width,
					rowRenderer: _Large2.default
				},
				children
			);
		default:
			return _react2.default.createElement(
				_Table2.default,
				{
					collection: collection,
					height: height,
					width: width
				},
				children
			);
	}
}
RendererSelector.propTypes = {
	children: _react.PropTypes.arrayOf(_react.PropTypes.element),
	collection: _react.PropTypes.arrayOf(_react.PropTypes.object),
	height: _react.PropTypes.number,
	type: _react.PropTypes.oneOf([TABLE, LARGE]),
	width: _react.PropTypes.number
};
RendererSelector.defaultProps = {
	type: TABLE
};

exports.default = RendererSelector;