'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactVirtualized = require('react-virtualized');

var _RendererSelector = require('./RendererSelector');

var _RendererSelector2 = _interopRequireDefault(_RendererSelector);

var _Large = require('./rowRenderers/Large.component');

var _Large2 = _interopRequireDefault(_Large);

var _Title = require('./cellRenderers/Title.component');

var _Title2 = _interopRequireDefault(_Title);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function VirtualizedList(props) {
	var collection = props.collection,
	    children = props.children,
	    type = props.type;

	return _react2.default.createElement(
		_reactVirtualized.AutoSizer,
		null,
		function (_ref) {
			var height = _ref.height,
			    width = _ref.width;
			return _react2.default.createElement(_RendererSelector2.default, {
				children: children,
				collection: collection,
				height: height,
				type: type,
				width: width
			});
		}
	);
}
VirtualizedList.displayName = 'VirtualizedList';
VirtualizedList.propTypes = {
	collection: _react.PropTypes.arrayOf(_react.PropTypes.object),
	children: _react.PropTypes.arrayOf(_react.PropTypes.element),
	type: _RendererSelector2.default.propTypes.type
};

VirtualizedList.Field = _reactVirtualized.Column;
VirtualizedList.Cell = {
	TitleRenderer: {
		cellRenderer: _Title2.default,
		className: 'tc-list-title-cell'
	}
};
VirtualizedList.Row = {
	Large: {
		rowRenderer: _Large2.default
	}
};

exports.default = VirtualizedList;